## CamelMultipart

CamelMultipart

## Synopsis

    struct              CamelMultipart;
    CamelMultipart*     camel_multipart_new                 (void);
    void                camel_multipart_add_part            (CamelMultipart *multipart,
                                                             CamelMimePart *part);
    void                camel_multipart_add_part_at         (CamelMultipart *multipart,
                                                             CamelMimePart *part,
                                                             guint index);
    void                camel_multipart_remove_part         (CamelMultipart *multipart,
                                                             CamelMimePart *part);
    CamelMimePart*      camel_multipart_remove_part_at      (CamelMultipart *multipart,
                                                             guint index);
    CamelMimePart*      camel_multipart_get_part            (CamelMultipart *multipart,
                                                             guint index);
    guint               camel_multipart_get_number          (CamelMultipart *multipart);
    void                camel_multipart_set_boundary        (CamelMultipart *multipart,
                                                             const char *boundary);
    const char*         camel_multipart_get_boundary        (CamelMultipart *multipart);
    void                camel_multipart_set_preface         (CamelMultipart *multipart,
                                                             const char *preface);
    void                camel_multipart_set_postface        (CamelMultipart *multipart,
                                                             const char *postface);
    int                 camel_multipart_construct_from_parser
                                                            (CamelMultipart *multipart,
                                                             struct _CamelMimeParser *parser);

## Description

## Details

### struct CamelMultipart

    struct CamelMultipart {
    	CamelDataWrapper parent_object;

    	GList *parts;
    	gchar *preface;
    	gchar *postface;
    };

### camel_multipart_new ()

    CamelMultipart*     camel_multipart_new                 (void);

Returns : |

### camel_multipart_add_part ()

    void                camel_multipart_add_part            (CamelMultipart *multipart,
                                                             CamelMimePart *part);

`multipart` : |
`part` : |

### camel_multipart_add_part_at ()

    void                camel_multipart_add_part_at         (CamelMultipart *multipart,
                                                             CamelMimePart *part,
                                                             guint index);

`multipart` : |
`part` : |
`index` : |

### camel_multipart_remove_part ()

    void                camel_multipart_remove_part         (CamelMultipart *multipart,
                                                             CamelMimePart *part);

`multipart` : |
`part` : |

### camel_multipart_remove_part_at ()

    CamelMimePart*      camel_multipart_remove_part_at      (CamelMultipart *multipart,
                                                             guint index);

`multipart` : |
`index` : |
Returns : |

### camel_multipart_get_part ()

    CamelMimePart*      camel_multipart_get_part            (CamelMultipart *multipart,
                                                             guint index);

`multipart` : |
`index` : |
Returns : |

### camel_multipart_get_number ()

    guint               camel_multipart_get_number          (CamelMultipart *multipart);

`multipart` : |
Returns : |

### camel_multipart_set_boundary ()

    void                camel_multipart_set_boundary        (CamelMultipart *multipart,
                                                             const char *boundary);

`multipart` : |
`boundary` : |

### camel_multipart_get_boundary ()

    const char*         camel_multipart_get_boundary        (CamelMultipart *multipart);

`multipart` : |
Returns : |

### camel_multipart_set_preface ()

    void                camel_multipart_set_preface         (CamelMultipart *multipart,
                                                             const char *preface);

`multipart` : |
`preface` : |

### camel_multipart_set_postface ()

    void                camel_multipart_set_postface        (CamelMultipart *multipart,
                                                             const char *postface);

`multipart` : |
`postface` : |

### camel_multipart_construct_from_parser ()

    int                 camel_multipart_construct_from_parser
                                                            (CamelMultipart *multipart,
                                                             struct _CamelMimeParser *parser);

`multipart` : |
`parser` : |
Returns : |